LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XSAXEventKeeper Interface Reference

Interface of SAX Event Keeper. More...

`import"XSAXEventKeeper.idl";`

Inheritance diagram for XSAXEventKeeper:

## Public Member Functions
long | addElementCollector ()
| Adds a new element collector on the next element in the SAX event stream. More...
void | removeElementCollector ([in] long id)
| Removes an element collector. More...
long | addBlocker ()
| Adds a new blocker on the next element in the SAX event stream. More...
void | removeBlocker ([in] long id)
| Removes a blocker. More...
boolean | isBlocking ()
| Checks whether the SAX event stream is blocking. More...
com::sun::star::xml::wrapper::XXMLElementWrapper | getElement ([in] long id)
| Gets the element of an element mark. More...
void | setElement ([in] long id, [in] com::sun::star::xml::wrapper::XXMLElementWrapper aElement)
| Sets the element of an element mark. More...
com::sun::star::xml::sax::XDocumentHandler | setNextHandler ([in] com::sun::star::xml::sax::XDocumentHandler nextHandler)
| Sets the next document handler in the SAX chain. More...
string | printBufferNodeTree ()
| Prints information about all buffered elements. More...
com::sun::star::xml::wrapper::XXMLElementWrapper | getCurrentBlockingNode ()
| Gets the element which current blocking happens. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of SAX Event Keeper.

This interface is used to manipulate element marks in a SAX event stream.

There are two kinds of element mark, one is element collector, which is used to collect a particular element from the SAX event stream; the other is blocker, which is used to block the SAX event stream.

## Member Function Documentation

## ◆ addBlocker()

long addBlocker | ( |  | ) |

Adds a new blocker on the next element in the SAX event stream.

No SAX event starting from the next element will be forwarded until this blocker is removed.

Returns
  the keeper id of the new blocker

## ◆ addElementCollector()

long addElementCollector | ( |  | ) |

Adds a new element collector on the next element in the SAX event stream.

Returns
  the keeper id of the new element collector

## ◆ getCurrentBlockingNode()

com::sun::star::xml::wrapper::XXMLElementWrapper getCurrentBlockingNode | ( |  | ) |

Gets the element which current blocking happens.

This element is the working element of the first blocker in tree order.

Returns
  the current blocking element

## ◆ getElement()

com::sun::star::xml::wrapper::XXMLElementWrapper getElement | ( | [in] long | id | ) |

Gets the element of an element mark.

Parameters

  id | the keeper id of the element mark, it can be an element collector or a blocker

## ◆ isBlocking()

boolean isBlocking | ( |  | ) |

Checks whether the SAX event stream is blocking.

Returns
  `true` if blocking, `false` otherwise

## ◆ printBufferNodeTree()

string printBufferNodeTree | ( |  | ) |

Prints information about all buffered elements.

Returns
  a tree-style string including all buffer information

## ◆ removeBlocker()

void removeBlocker | ( | [in] long | id | ) |

Removes a blocker.

Parameters

  id | the keeper id of the blocker to be removed

## ◆ removeElementCollector()

void removeElementCollector | ( | [in] long | id | ) |

Removes an element collector.

Parameters

  id | the keeper id of the element collector to be removed

## ◆ setElement()

void setElement | ( | [in] long | id,
|  | [in] com::sun::star::xml::wrapper::XXMLElementWrapper | aElement
| ) |  |

Sets the element of an element mark.

When an element is replaced outside of this interface, then uses this method can restore the link between an element mark and its working element.

Parameters

  id | the keeper id of the element mark to be set
  aElement | the new element for this element mark.

## ◆ setNextHandler()

com::sun::star::xml::sax::XDocumentHandler setNextHandler | ( | [in] com::sun::star::xml::sax::XDocumentHandler | nextHandler | ) |

Sets the next document handler in the SAX chain.

This handler will receive SAX events forwarded by the SAXEventKeeper.

Parameters

  nextHandler | the next handler in the SAX chain

Returns
  the old next handler

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XSAXEventKeeper.idl